QUNIT-SELENIUM(1)

NAME
qunit-selenium - Run QUnit tests through Selenium WebDriver

SYNOPSIS
qunit-selenium [--timeout seconds] [--screenshot FILE] URL

DESCRIPTION
qunit-selenium will open the QUnit test page at the given URL and wait for the tests to complete before collecting and displaying the test run results.

If the tests do not complete within the given timeout seconds, qunit-selenium will raise an error and the command will fail.

If any error is raised by qunit-selenium which would cause a premature end of the test run, the program will generate a screenshot of the error page (file qunit-selenium-error.png)

OPTIONS

--timeout seconds
    Specifies the maximum timeout (default is 10 seconds).

--screenshot FILE
    Capture the screen output to FILE.

EXAMPLES

qunit-selenium --timeout 20 --screenshot mytests.png http://myserver/tests

SEE ALSO
The complete documentation for qunit-selenium is available online at https://www.rubydoc.info/gems/qunit-selenium/.

AUTHORS
-nosplit qunit-selenium and its documentation was written by Silvio Montanari <smontanari@mail.com>.

This manual was created by Jongmin Kim <jmkim@pukyong.ac.kr> for the Debian project (but may be used by others).